Loading...
Searching...
No Matches
juce::Process Class Reference

`#include <juce_Process.h>`

## Public Types

enum | ProcessPriority { LowPriority = 0 , NormalPriority = 1 , HighPriority = 2 , RealtimePriority = 3 }

## Static Public Member Functions

static void JUCE_CALLTYPE | setPriority (ProcessPriority priority)
static void JUCE_CALLTYPE | terminate ()
static bool JUCE_CALLTYPE | isForegroundProcess ()
static void JUCE_CALLTYPE | makeForegroundProcess ()
static void JUCE_CALLTYPE | hide ()
static void JUCE_CALLTYPE | raisePrivilege ()
static void JUCE_CALLTYPE | lowerPrivilege ()
static bool JUCE_CALLTYPE | isRunningUnderDebugger () noexcept
static bool JUCE_CALLTYPE | openDocument (const String &documentURL, const String &parameters)
static bool JUCE_CALLTYPE | openEmailWithAttachments (const String &targetEmailAddress, const String &emailSubject, const String &bodyText, const StringArray &filesToAttach)

## Detailed Description

Represents the current executable's process.

This contains methods for controlling the current application at the process-level.

See also
  Thread, JUCEApplicationBase

Definition at line 36 of file juce_Process.h.

## Member Enumeration Documentation

## ProcessPriority

enum juce::Process::ProcessPriority

Definition at line 40 of file juce_Process.h.

## Member Function Documentation

## hide()

void JUCE_CALLTYPE juce::Process::hide | ( |  | ) |

static

Hides the application (on an OS that supports this, e.g. OSX, iOS, Android)

## isForegroundProcess()

bool JUCE_CALLTYPE juce::Process::isForegroundProcess | ( |  | ) |

static

Returns true if this application process is the one that the user is currently using.

## isRunningUnderDebugger()

bool JUCE_CALLTYPE juce::Process::isRunningUnderDebugger | ( |  | ) |

static noexcept

Returns true if this process is being hosted by a debugger.

Definition at line 348 of file juce_Thread.cpp.

Referenced by lowerPrivilege().

## lowerPrivilege()

void JUCE_CALLTYPE juce::Process::lowerPrivilege | ( |  | ) |

static

Lowers the current process's privilege level.

Does nothing if this isn't supported by the current OS, or if process privilege level is fixed.

## makeForegroundProcess()

void JUCE_CALLTYPE juce::Process::makeForegroundProcess | ( |  | ) |

static

Attempts to make the current process the active one. (This is not possible on some platforms).

## openDocument()

bool JUCE_CALLTYPE juce::Process::openDocument | ( | const String & | documentURL,
|  | const String & | parameters )

static

Tries to launch the OS's default reader application for a given file or URL.

Referenced by juce::URL::launchInDefaultBrowser(), openDocument(), and juce::File::startAsProcess().

## openEmailWithAttachments()

bool JUCE_CALLTYPE juce::Process::openEmailWithAttachments | ( | const String & | targetEmailAddress,
|  | const String & | emailSubject,
|  | const String & | bodyText,
|  | const StringArray & | filesToAttach )

static

Tries to launch the OS's default email application to let the user create a message.

Referenced by openEmailWithAttachments().

## raisePrivilege()

void JUCE_CALLTYPE juce::Process::raisePrivilege | ( |  | ) |

static

Raises the current process's privilege level.

Does nothing if this isn't supported by the current OS, or if process privilege level is fixed.

## setPriority()

void JUCE_CALLTYPE juce::Process::setPriority | ( | ProcessPriority | priority | ) |

static

Changes the current process's priority.

Parameters

  priority | the process priority, where 0=low, 1=normal, 2=high, 3=realtime

## terminate()

void JUCE_CALLTYPE juce::Process::terminate | ( |  | ) |

static

Kills the current process immediately.

This is an emergency process terminator that kills the application immediately - it's intended only for use only when something goes horribly wrong.

See also
  JUCEApplicationBase::quit

The documentation for this class was generated from the following files:

- juce_Process.h
- juce_Thread.cpp